- [HTTP request](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#body.request_body)
  - [JSON representation](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#body.response_body)
  - [JSON representation](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#body.ReportPropertyUsageResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#body.aspect)
- [PropertyUsage](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#PropertyUsage)
  - [JSON representation](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#PropertyUsage.SCHEMA_REPRESENTATION)
- [AnalyticsPropertyType](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#AnalyticsPropertyType)
- [BillInfo](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#BillInfo)
  - [JSON representation](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#BillInfo.SCHEMA_REPRESENTATION)
- [Money](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#Money)
  - [JSON representation](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#Money.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#try-it)

Gets the usage and billing data for properties within the organization for the specified month.

Per direct client org, user needs to be OrgAdmin/BillingAdmin on the organization in order to view the billing and usage data.

Per sales partner client org, user needs to be OrgAdmin/BillingAdmin on the sales partner org in order to view the billing and usage data, or OrgAdmin/BillingAdmin on the sales partner client org in order to view the usage data only.

### HTTP request

`POST https://marketingplatformadmin.googleapis.com/v1alpha/{organization=organizations/*}:reportPropertyUsage`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `organization` | `string` Required. Specifies the organization whose property usage will be listed. Format: organizations/{org_id} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "month": string } ``` |

| Fields ||
|---|---|
| `month` | `string` Required. The target month to list property usages. Format: YYYY-MM. For example, "2025-05" |

### Response body

Response message for organizations.reportPropertyUsage RPC.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "propertyUsages": [ { object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#PropertyUsage`) } ], "billInfo": { object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#BillInfo`) } } ``` |

| Fields ||
|---|---|
| `propertyUsages[]` | ``object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#PropertyUsage`)`` Usage data for all properties in the specified organization and month. |
| `billInfo` | ``object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#BillInfo`)`` Bill amount in the specified organization and month. Will be empty if user only has access to usage data. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/marketingplatformadmin.analytics.read`
- `https://www.googleapis.com/auth/marketingplatformadmin.analytics.update`

## PropertyUsage

Contains the count of events received by the property, along with metadata that influences the volume of `billable` events.

| JSON representation |
|---|
| ``` { "property": string, "displayName": string, "accountId": string, "serviceLevel": enum (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/AnalyticsServiceLevel`), "propertyType": enum (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#AnalyticsPropertyType`), "totalEventCount": string, "billableEventCount": string } ``` |

| Fields ||
|---|---|
| `property` | `string` The name of the Google Analytics Admin API property resource. Format: analyticsadmin.googleapis.com/properties/{property_id} |
| `displayName` | `string` The display name of the property. |
| `accountId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the property's parent account. |
| `serviceLevel` | ``enum (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/AnalyticsServiceLevel`)`` The service level of the property. |
| `propertyType` | ``enum (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#AnalyticsPropertyType`)`` The subtype of the analytics property. This affects the billable event count. |
| `totalEventCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Total event count that the property received during the requested month. |
| `billableEventCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of events for which the property is billed in the requested month. |

## AnalyticsPropertyType

Types of the Google Analytics Property.

| Enums ||
|---|---|
| `ANALYTICS_PROPERTY_TYPE_UNSPECIFIED` | Unknown or unspecified property type |
| `ANALYTICS_PROPERTY_TYPE_ORDINARY` | Ordinary Google Analytics property |
| `ANALYTICS_PROPERTY_TYPE_SUBPROPERTY` | Google Analytics subproperty |
| `ANALYTICS_PROPERTY_TYPE_ROLLUP` | Google Analytics rollup property |

## BillInfo

Contains the bill amount.

| JSON representation |
|---|
| ``` { "baseFee": { object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#Money`) }, "eventFee": { object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#Money`) }, "priceProtectionCredit": { object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#Money`) }, "total": { object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#Money`) } } ``` |

| Fields ||
|---|---|
| `baseFee` | ``object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#Money`)`` The amount of the monthly base fee. |
| `eventFee` | ``object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#Money`)`` The amount of the event fee. |
| `priceProtectionCredit` | ``object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#Money`)`` The amount of the price protection credit, this is only available for eligible customers. |
| `total` | ``object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/reportPropertyUsage#Money`)`` The total amount of the bill. |

## Money

Represents an amount of money with its currency type.

| JSON representation |
|---|
| ``` { "currencyCode": string, "units": string, "nanos": integer } ``` |

| Fields ||
|---|---|
| `currencyCode` | `string` The three-letter currency code defined in ISO 4217. |
| `units` | `string (https://developers.google.com/discovery/v1/type-format format)` The whole units of the amount. For example if `currencyCode` is `"USD"`, then 1 unit is one US dollar. |
| `nanos` | `integer` Number of nano (10\^-9) units of the amount. The value must be between -999,999,999 and +999,999,999 inclusive. If `units` is positive, `nanos` must be positive or zero. If `units` is zero, `nanos` can be positive, zero, or negative. If `units` is negative, `nanos` must be negative or zero. For example $-1.75 is represented as `units`=-1 and `nanos`=-750,000,000. |